// Written by Ed Hong, 11/09/04.
// Uses an AvlTree to implement the SimpleMap interface.
// SimpleMap is an extremely simplified version of
//  Java's Map interface.
// This class will map keys to values by storing
//  <key,value> pairs inside a binary search tree; the pairs
//  are sorted by key.

import java.util.*;

public class AvlTreeMap extends BinarySearchTreeMap {
// The only difference between this class and the BinarySearchTreeMap
//   is that this class uses an AvlTree instead of a BinarySearchTree.
    // Constructor; simply initializes the AvlTree.
    public AvlTreeMap () {
	    tree = new AvlTree();
	}

}
